Package org.kapott.hbci.passport.rdhXfile

## Class BankKeys

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV
  - - org.kapott.hbci.passport.rdhXfile.BankKeys

    public class BankKeys
    extends TLV

### Constructor Summary

Constructors
`BankKeys()`
`BankKeys​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBLZ()`
`java.lang.String` `getCountry()`
`HBCIKey` `getHBCIKey()`
`java.lang.String` `getKeyType()`
`void` `setBLZ​(java.lang.String blz)`
`void` `setCountry​(java.lang.String country)`
`void` `setKey​(java.lang.String keytype, HBCIKey key)`
`java.lang.String` `toString()`
`void` `updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BankKeys

    public BankKeys()

#### BankKeys

    public BankKeys​(TLV tlv)

### Method Detail

#### getCountry

    public java.lang.String getCountry()

#### setCountry

    public void setCountry​(java.lang.String country)

#### getBLZ

    public java.lang.String getBLZ()

#### setBLZ

    public void setBLZ​(java.lang.String blz)

#### getKeyType

    public java.lang.String getKeyType()

#### getHBCIKey

    public HBCIKey getHBCIKey()

#### setKey

    public void setKey​(java.lang.String keytype,
                       HBCIKey key)

#### updateData

    public void updateData()

Overrides:
  `updateData` in class `TLV`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`